<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('edarate_shahri_be_city', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->unsignedBigInteger('edarate_shahri_id')->default(0);
            $table->smallInteger('city_id')->nullable();
            $table->tinyInteger('is_primary')->nullable()->default(1);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('edarate_shahri_be_city');
    }
};
